package nl.arttech.bouncing;

public class Impulse {
	public double x = 0;
	public double y = 0;
	public double time = 0;
	public double startPower = 20000.;
	
	public Impulse (double x, double y, double time) {
		this.x = x;
		this.y = y;
		this.time = time;		
	}
	
	public double getRange(double thisTime) {
		return (thisTime - time) / 5;		
	}
	
	public double getPower(double thisTime) {
		double r = getRange(thisTime);
		double area = Math.PI * r * r;
		return startPower / area;
	}
}
