package nl.arttech.bouncing;

import java.nio.ByteBuffer;

class Utils {
	static ByteBuffer bb = ByteBuffer.allocate(8);

	static int toInt(byte[] b) {
		bb.clear();
		bb.put(b);
		bb.position(0);    	
		return bb.getInt();
	}
	static long toLong(byte[] b) {
		bb.clear();
		bb.put(b);
		bb.position(0);    	
		return bb.getLong();
	}
	static float toFloat(byte[] b) {
		bb.clear();
		bb.put(b);
		bb.position(0);
		return bb.getFloat();
	}
	static double toDouble(byte[] b) {
		bb.clear();
		bb.put(b);
		bb.position(0);
		return bb.getDouble();
	
	}
	static byte[] copyBytes(byte[] b, int pos, int length) {
	    byte[] newBytes = new byte[length];
	    System.arraycopy(b, pos, newBytes, 0, length);
	    return newBytes;
	}

	static void post(String msg) {
		System.out.println(msg);
	}
}